:root {
    --main-color: rgb(237, 237, 237);
    --title-font-color: rgb(36, 36, 208);
    --initial-pos: 70vh;
}

@font-face {
    font-family: 'Power Pack';
    src: url('/Font/TMT-PowerPackVF.woff2') format('woff2');
    font-weight: 100;
}

@font-face {
    font-family: 'Terminal Grotesk Open';
    src: url('/Font/terminal-grotesque_open.woff2') format('woff2');
    font-weight: 100;
}

@font-face {
    font-family: 'Terminal Grotesk';
    src: url('/Font/terminal-grotesque-webfont.woff2') format('woff2');
    font-weight: 100;
}

body {
    background-color: rgb(0, 0, 0);
    height: 100%;
    overflow: hidden;
}

section {
    perspective: 100vh;
    height: 100vh;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    transform-style: preserve-3d;
}


/*#region Ecrans de face*/
.front-screen {
    position: relative;
    background-color: rgb(0, 0, 0);
    height: 60vh;
    width: 50vw;
    z-index: 1;
    font-family: 'Power Pack';
    font-variation-settings: "POWR" 0;
    color: var(--title-font-color);
    font-size: 25px;

    display: flex;
    align-items: center;
    justify-content: center;
}

#frontScreen-anim {
    position: absolute;
    width: 100%;
    height: 100%;
}

#title-page {
    display: block;
    position: absolute;
    height: 100%;
    width: 100%;
}

.title-front {
    display: flex;
    height: 100%;
    flex-direction: column;
    align-content: space-between;

}

.title-front > div > div {
    display: inline-block;
    border: 0.5vh solid var(--title-font-color);
}

.title-front > div > div > h1 {
    margin: 20px;
    
}

.title-front > p {
    margin-top: 35vh;
    margin-bottom: auto;
    font-size: 2.5vh;
    font-family: 'Terminal Grotesk';
    text-align: end;
}

/*#endregion*/

/*#region Ecrans horizontaux----*/
.hFace {
    position: absolute;
    transform-style: preserve-3d;
    background-color: var(--title-font-color);
    height: 70vh;
    width: 50vw;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 50px;
}

#up {
    transform: rotateX(90deg) translateZ(30vh) translateY(calc(-1 * var(--initial-pos)));
    object-fit: cover;
}

#down {
    transform: rotateX(-90deg) translateZ(30vh) translateY(var(--initial-pos));
    align-items: end;
}
/*#endregion*/

/*#region Ecrans verticaux*/
.vFace {
    position: absolute;
    transform-style: preserve-3d;
    background-color: var(--title-font-color);
    width: 60vh;
    height: 40vw;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 50px;
}

#left {
    transform: rotateZ(90deg) rotateX(90deg) translateZ(25vw) translateY(calc(-1 * var(--initial-pos)));
    background-color: transparent;
}

#right {
    transform: rotateZ(-90deg) rotateX(90deg) translateZ(25vw) translateY(calc(-1 * var(--initial-pos)));
}
/*#endregion*/

.screen-container {
    position: relative;
    background-color: rgb(0, 0, 0);
    display: flex;
    
    justify-items: center;
    height: 100%;
    width: 100%;
    transform: scaleX(0.99) scaleY(0.98);
}

.transition {
    position: absolute;
    width: 100%;
    height: 100%;
}

/*#region Projet1*/
.projet1-grid {
    display: grid;
    padding: 2vh;
    height: 100%;
    gap: 1.5vh;
    box-sizing: border-box;
    grid-template-columns: 3fr 2fr;
}

.text-grid {
    display: grid;
    grid-template-rows: 1fr 3fr;
}

.text-grid > div {
    border: 0.4vh solid var(--title-font-color);
    
}

.text-grid > div > h2 {
    font-size: 3.5vh;
    margin: 1.2vh;
}

.text-grid > p {
    font-family: 'Terminal Grotesk';
    font-size: 2.3vh;
}

.projet1-grid > img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.projet1 {
    position: absolute;
    height: 100%;
    width: 100%;
    display: none;
}

.projet1 > img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.one-image {
    display: grid;
    grid-template-rows: auto auto;
    height: 100%;
}

.one-image > img {
    object-fit: cover;
    height: 100%;
    width: 100%;
    aspect-ratio: 1;
}

.projet1-right {
    height:100%;
    padding: 2.5vh;
}

.projet1-right > img {
    object-fit: cover;
    width: 100%;
    height: auto;
}

.projet1-down {
    display: flex;
    align-items: end;
    justify-content: end;
    height: 100%;
    width: 100%;
    margin: -10vh;
    padding: 12vh;
    color: var(--title-font-color);
    font-family: 'Terminal Grotesk';
    font-size: 4vh;
    
}

.projet1-down > p {
    transform: rotateX(180deg);
}


/*#endregion*/

/*#region projet2*/
.projet2 {
    position: absolute;
    height: 100%;
    width: 100%;
    display: none;
}

.projet2 > video {
    height: 100%;
    width: 100%;
}

.projet2-right {
    color: var(--title-font-color);
    font-family: 'Terminal Grotesk';
    font-size: 4vh;
}

.grid {
    display: grid;
    grid-template-rows: 1fr 3fr;
    width: 70%;
    transform: rotate(90deg) translateX(20%) translateY(20%);
}


.grid > div {
    border: 0.4vh solid var(--title-font-color);
    
}

.grid > div > h2 {
    font-size: 3.5vh;
    margin: 1.2vh;
}

.grid > p {
    font-family: 'Terminal Grotesk';
    font-size: 2.3vh;
}

.p2-up-grid {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 1.5vh;
    padding: 2vh;
}

.p2-up-grid > img {
    object-fit: cover;
    width: 100%;
}

.p2-down {
    display: flex;
    align-items: end;
    justify-content: end;
    height: 100%;
    width: 100%;
    margin: -15vh;
    padding: 10vh;
}

.p2-down > img {
    transform: rotateX(180deg);
}
/*#endregion*/



/*#region LEFT GRID*/
.left-grid {
    transform-style: preserve-3d;
    position: relative;
    display: grid;
    align-items: end;
    width: 100%;
    gap: 2vh;
    grid-template-columns: auto auto auto;
    transform: scaleX(0.98) scaleY(0.97);
}

.left-grid > div {
    height: 0;
    padding-top: 100%;
    position: relative;
}

.left-grid > div > div {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}

.grid-content {
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
    justify-content: center;
    transform: rotateZ(-90deg) translateX(20px);

    overflow: hidden;

}

.cText {
    font-family: 'Terminal Grotesk Open';
    font-size: 28vh;    
    color: var(--title-font-color);
}

.cText > div {
    position: absolute;
}


.behind {
    font-family: 'Terminal Grotesk';
    color: rgba(0, 0, 255, 0);
}


.cBlank {
    /*background-color: var(--main-color);*/
    height: 100%;
    width: 100%;
}

.image {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.blank-pixel {
    position: absolute;
    width: 100%;
    height: 100%;
}
/*#endregion*/